{
  "namespace": "start_lunar",

  "bg": {
    "type": "image",
    "texture": "textures/bg",
		"size": [ "100%", "100%" ],
    "fill": true,
    "layer": 103,
    "alpha": "@animations.bg_wait_1"
  },

  "fg": {
    "type": "image",
    "texture": "textures/fg",
    "size": [ "100%", "100%" ],
    "layer": 105,
    "alpha": "@animations.bg_wait_1"
  },

  "loading_bar": {
    "type": "image",
    "layer": 104,
    "texture": "textures/blacki",
    "offset": [ 0, 3000 ],
    "size": [ 600, "100%" ],
    "alpha": "@animations.text_alpha_1",
    "uv": "@animations.loading_bar_anim_1"
  },

  "injecting": {
    "type": "panel",
    "anchor_from": "center",
    "anchor_to": "center",
    "controls": [
      {
        "bg@start.bg": {}
      },
      {
        "fg@start.fg": {}
      },
      {
        "loading_bar@start.loading_bar": {}
      }
    ]
  },
	
  "logotest": {
    "type": "image",
    "layer": 104,
    "texture": "textures/logo",
    "offset": [ 0, -30 ],
    "size": [ 180, 40 ],
    "uv": "@animations.titleup"
  },

  "news": {
    "type": "panel",
    "anchor_from": "bottom_right",
    "anchor_to": "bottom_right",
    "size": [105,40],
    "offset": [-16, -16],
    "controls": [
     {
       "luconia@start_lunar.texture_inject": {
      }
    }
  ]
 },
 "texture_inject": {
  "type": "image",
  "texture": "ui/textures/test",
  "fill": true,
  "uv_size": [ 1280, 513 ],
  "uv": "@start_lunar.anim_for_news"
},
"anim_for_news": {
  "anim_type": "flip_book",
  "initial_uv": [ 0, 0 ],
  "frame_count": 4,
  "frame_step": 4,
  "fps": 0.2,
  "easing": "linear"
},

  /*//// Main Buttons and Title ////*/

  "buttons": {
    "type": "panel",
    "controls": [
      {
        "play_button@common_buttons_lunar.main_button": {
          "size": [ 130, 20 ],
          "offset": [ 0, 0 ],
          "$pressed_button_name": "button.menu_play",
          "$button_text": "Play"
        }
      },
      {
        "options_button@common_buttons_lunar.main_button": {
          "size": [ 130, 20 ],
          "offset": [ 0, 24 ],
          "$pressed_button_name": "button.menu_settings",
          "$button_text": "Settings"
        }
      },
      {
        "cosmetic_button@common_buttons_lunar.main_button": {
          "size": [ 130, 20 ],
          "offset": [ 0, 48 ],
          "$pressed_button_name": "button.to_profile",
          "$button_text": "Skins"
        }
      },
      {
        "store_button@common_buttons_lunar.main_button": {
          "size": [ 130, 20 ],
          "offset": [ 0, 72 ],
          "$pressed_button_name": "button.menu_store",
          "$button_text": "Store"
        }
      }
    ]
  },

  "sign_in": {
    "type": "panel",
    "controls": [
      { "sign_in_button@start_lunar.sign_in_button": { } }
    ],
    "bindings": [
      {
        "binding_name": "#sign_in_visible",
        "binding_name_override": "#visible"
      }
    ]
  },

  "sign_in_button@common_buttons_lunar.main_button": {
    "size": [ 20, 20 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "offset": [ 8, 9 ],
    "$pressed_button_name": "button.signin",
    "$button_content": "lunar_textures_common.lunar_account_icon"
  },
  

  "sheeeeeeeeeeeeeeeeeeeeeesh": {
    "type": "panel",
    "controls": [
      { "sign_in@start_lunar.sign_in": { } },
      { "buttons@start_lunar.buttons": { } },
			{ "injecting@start_lunar.injecting": { } },
			{ "news@start_lunar.news": { } },
			{ "logotest@start_lunar.logotest": { } }
    ]
  },
  "full_screen": {
    "type": "panel",
    "controls": []
  }
}